<?php if (!defined('PmWiki')) exit();
// See gridworks/README
if (file_exists("cookbook/gridworks/gridworks.php")) {
  $EnableGridWorks = 1;
  include_once('cookbook/gridworks/gridworks.php');
}

function Grid960JsLoadLib(&$gridworks) {

	global $GridWorks, $HTMLHeaderFmt;
	extract($gridworks, EXTR_OVERWRITE);

	SDV($GridWorks['960js_path'], '/pub/lib/960gs/140301');
	$webpath = &$GridWorks['960js_path'];
	$h1 = $h2 = $h3 = '';

	if($showgrid !== '0') {
	  $h1 = "\n<link rel='stylesheet' href='$webpath/css/showgrid$showgrid.css' type='text/css' />";
	}

	if($loadmethod === 'js') {
	if($fluid == '1') {
	  $h2 = "\n<script type='text/javascript' src='$webpath/js/config-$columns-fluid.js'></script>";
	} else {
	  $h2 = "\n<script type='text/javascript' src='$webpath/js/config-$columns-$gutter.js'></script>";
	}
	  $h3 = "\n<script type='text/javascript' src='$webpath/js/adapt.js'></script>";
	}

	if($loadmethod === 'mq') {
	if($fluid == '1') {
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/mq/import-$columns-fluid.css' type='text/css' />";
	} else {
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/mq/import-$columns-$gutter.css' type='text/css' />";
	}}

	$_h4 = "\n<link rel='stylesheet' href='$webpath/css/reset.css' type='text/css' />";
	$_h5 = "\n<link rel='stylesheet' href='$webpath/css/text.css' type='text/css' />";
	$h4 = $_h4; $h5 = $_h5; 
	if($resetcss !== 'all') { $h4 = ''; $h5 = ''; }
	if($resetcss === 'main') { $h4 = $_h4; $h5 = ''; }
	if($resetcss === 'text') { $h4 = ''; $h5 = $_h5; }

	$h = $h4.$h5.$h1.$h2.$h3;
	$HTMLHeaderFmt['GridWorks'] = "\n<!--GridWorksFmt-->".$h."\n<!--/GridWorksFmt-->";

}

function GridWorks2($pagename, $args) {

	$gridworks = _GridWorks($pagename, $args);
	$error = Grid960JsLoadLib($gridworks);
	return @$error;

}

