<?php if (!defined('PmWiki')) exit();
// See gridworks/README
if (file_exists("cookbook/gridworks/gridworks.php")) {
  $EnableGridWorks = 1;
  include_once('cookbook/gridworks/gridworks.php');
}

// See: http://unsemantic.com
function UnsemanticLoadLib(&$gridworks) {

	global $GridWorks, $HTMLHeaderFmt;
	extract($gridworks, EXTR_OVERWRITE);

	SDV($GridWorks['unsemantic_path'], '/pub/lib/unsemantic/180301');
	$webpath = &$GridWorks['unsemantic_path'];
	$h1 = ''; $h2 = ''; $h3 = ''; $h6 = ''; $e1 = ''; $e2 = '';

	if($showgrid !== '0') {
	  $h1 = "\n<link rel='stylesheet' href='$webpath/css/showgrid$showgrid.css' type='text/css' />";
	}

	if($iecompat !== '0') { # TODO
// html5 shim
$e1 = "\n
<!--[if lt IE 9]>
    <script type='text/javascript'  src='$webpath/js/html5.js'></script>
<![endif]-->
";

$e2 = "\n
<!--[if (lt IE 9) & (!IEMobile)]>
  <link rel='stylesheet' href='$webpath/css/grid/ie.css' />
<![endif]-->
";
	}

	if($tablet == '1') { $_t = '-tablet'; } else { $_t = '-mobile'; }
	if($rtl == '1') { $_r = '-rtl'; } else { $_r = ''; }
	//if($_ie7 == '1') { $_ie7 = ''; } else { $_ie7 = '-no-ie7'; } # TODO
	$ie7 = 0; $_ie7 = '-no-ie7';
	$_pres = "{'pres':{'tablet':$tablet,'rtl':$rtl,'ie7':$ie7,'rtlval':'$_r','ie7val':'$_ie7'}};";

	if($loadmethod === 'js') {
	if($tablet == '1') { $_t = '-tablet'; } else { $_t = ''; }
$h6 = "\n
<link rel='stylesheet' href='$webpath/css/grid/unsemantic-grid-base{$_t}{$_ie7}{$_r}.css' />
<noscript>
  <link rel='stylesheet' href='$webpath/css/grid/unsemantic-grid-mobile{$_ie7}{$_r}.css' />
</noscript>
<script type='text/javascript'> /*<![CDATA[*/ var unsemantic = $_pres /*]]>*/ </script>
";

	  $h2 = "\n<script type='text/javascript' src='$webpath/js/config.js'></script>";
	  $h3 = "\n<script type='text/javascript' src='$webpath/js/adapt.js'></script>";
	}

	if($loadmethod === 'mq') { # TODO
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/mq/import{$_t}{$_ie7}{$_r}.css' type='text/css' />";
	}

	if($loadmethod === 'mqcombo') {
	if($tablet == '1') { $_t = '-tablet'; } else { $_t = ''; }
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/grid/unsemantic-grid-responsive{$_t}{$_ie7}{$_r}.css' type='text/css' />";
	}

	$_h4 = "\n<link rel='stylesheet' href='$webpath/css/reset.css' type='text/css' />";
	$_h5 = "\n<link rel='stylesheet' href='$webpath/css/text.css' type='text/css' />";
	$h4 = $_h4; $h5 = $_h5; 
	if($resetcss !== 'all') { $h4 = ''; $h5 = ''; }
	if($resetcss === 'main') { $h4 = $_h4; $h5 = ''; }
	if($resetcss === 'text') { $h4 = ''; $h5 = $_h5; }

	$h = $h4.$h5.$h1.$h6.$h2.$h3;
	$HTMLHeaderFmt['GridWorks'] = "\n<!--GridWorksFmt-->".$h."\n<!--/GridWorksFmt-->";

}

function GridWorks2($pagename, $args) {

	$gridworks = _GridWorks($pagename, $args);
	$error = UnsemanticLoadLib($gridworks);
	return @$error;

}

