<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2012-2023
 * @note This file is part of Cookbook recipe "GridWorks" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package gridworks
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;

    $prefix = 'gridworks';
    $cookbook[$prefix]['name'] = 'gridworks';
    $cookbook[$prefix]['version'] = '1.3.1';
    $cookbook[$prefix]['versionnum'] = '1003001';
    $cookbook[$prefix]['description'][] = "General utility css grid markup for wiki pages";
    $cookbook[$prefix]['date']['datenum'] = '20230205';
    $cookbook[$prefix]['dependencies']['php']['version'] = "5.6.40+";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.122+";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License/Free Software";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "gridworks-2.1.1-20100112"
    $gridworksVersion =
        $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$gridworksVersion'] = "'$gridworksVersion'";
    //$FmtPV['$gridworksVersion'] = '$GLOBALS["gridworksVersion"]';

    $GridWorks['version'] = $cookbook[$prefix]['version'];
    $GridWorks['versionnum'] = $cookbook[$prefix]['versionnum'];

